<resources>

    <!-- Base application theme. -->
    <style name="AppTheme" parent="QMUI.Compat.NoActionBar">
        <!-- Customize your theme here. -->
    </style>

    <!--按钮样式-->
    <style name="MainButtonStyle">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">@dimen/dp_40</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:textSize">@dimen/sp_16</item>
        <item name="android:background">@drawable/button_main_selector</item>
    </style>

    <!--按钮样式-->
    <style name="WhiteButtonStyle">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">@dimen/dp_40</item>
        <item name="android:textColor">@color/mainTextColor</item>
        <item name="android:textSize">@dimen/sp_16</item>
        <item name="android:background">@drawable/button_white_selector</item>
    </style>

    <style name="EditTextTheme" parent="Theme.AppCompat.Light">
        <item name="colorControlNormal">@color/hintTextColor</item>
        <item name="colorControlActivated">@color/mainThemeColor</item>
    </style>

    <!--等高RelativeLayout item容器样式-->
    <style name="itemLayoutStyle">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">@dimen/itemLayoutHeight</item>
    </style>

    <!--等高RelativeLayout 里面TextView样式-->
    <style name="textViewStyle">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:paddingStart">@dimen/dp_10</item>
        <item name="android:paddingEnd">@dimen/dp_10</item>
        <item name="android:textColor">@color/mainTextColor</item>
        <item name="android:textSize">@dimen/sp_16</item>
    </style>

    <!--APP内所有右边小箭头样式-->
    <style name="rightImageStyle">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_alignParentEnd">true</item>
        <item name="android:layout_centerVertical">true</item>
        <item name="android:layout_marginEnd">@dimen/dp_10</item>
        <item name="android:background">@drawable/ic_right</item>
    </style>

    <style name="selectTextViewStyle">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:layout_marginStart">100dp</item>
        <item name="android:layout_marginEnd">5dp</item>
        <item name="android:textColor">@color/mainTextColor</item>
        <item name="android:textColorHint">@color/hintTextColor</item>
        <item name="android:textSize">@dimen/sp_16</item>
    </style>

    <!--案卷输入框-->
    <style name="inputEditTextStyle">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:textColor">@color/mainTextColor</item>
        <item name="android:textColorHint">@color/hintTextColor</item>
        <item name="android:textSize">@dimen/sp_16</item>
    </style>

    <style name="detailTextViewStyle">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:layout_marginStart">100dp</item>
        <item name="android:textColor">@color/mainTextColor</item>
        <item name="android:textColorHint">@color/hintTextColor</item>
        <item name="android:textSize">@dimen/sp_16</item>
    </style>

    <style name="tagTextViewStyle">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_centerVertical">true</item>
        <item name="android:drawableEnd">@mipmap/point</item>
        <item name="android:textSize">@dimen/sp_16</item>
    </style>

    <style name="dialogWindowAnim" mce_bogus="1" parent="android:Animation">
        <item name="android:windowEnterAnimation">@anim/dialog_enter_anim</item>
        <item name="android:windowExitAnimation">@anim/dialog_exit_anim</item>
    </style>

    <style name="DetailDialogStyle">
        <!-- alertDialog窗口背景色 -->
        <item name="android:windowBackground">@android:color/transparent</item>
        <!--dialog是否有边框-->
        <item name="android:windowFrame">@null</item>
        <!--dialog是否有标题-->
        <item name="android:windowNoTitle">true</item>
        <!--是否浮现在activity之上-->
        <item name="android:windowIsFloating">true</item>
        <!--是否半透明-->
        <item name="android:windowIsTranslucent">true</item>
        <!--是否有遮盖(eg.Activity的闪屏页)-->
        <item name="android:windowContentOverlay">@null</item>
        <!--进出动画-->
        <item name="android:windowAnimationStyle">@android:style/Animation.Dialog</item>
        <!--背景是否模糊显示-->
        <item name="android:backgroundDimEnabled">true</item>
    </style>

    <style name="PopupAnimation">
        <!-- 指定显示的动画xml -->
        <item name="android:windowEnterAnimation">@anim/popup_show</item>
        <!-- 指定消失的动画xml -->
        <item name="android:windowExitAnimation">@anim/popup_hide</item>
    </style>

    <style name="ControlDialogStyle">
        <!-- Dialog的windowFrame框为无 -->
        <item name="android:windowFrame">@null</item>
        <!-- 是否显示title -->
        <item name="android:windowNoTitle">false</item>
        <!-- 是否浮现在activity之上 -->
        <item name="android:windowIsFloating">true</item>
        <!-- 半透明 -->
        <item name="android:windowIsTranslucent">true</item>
        <!-- 设置dialog的背景：#00000000透明色 -->
        <item name="android:windowBackground">@android:color/transparent</item>
        <!-- 背景变灰：整个屏幕变灰，配合setCanceledOnTouchOutside(false) -->
        <item name="android:backgroundDimEnabled">true</item>
    </style>

    <style name="ActivityInOutAnimation" parent="Base.Theme.NoActionBar">
        <!--进入-->
        <item name="android:activityOpenEnterAnimation">@anim/activity_in</item>
        <item name="android:activityOpenExitAnimation">@anim/activity_out</item>

        <!--退出-->
        <item name="android:activityCloseEnterAnimation">@anim/activity_in</item>
        <item name="android:activityCloseExitAnimation">@anim/activity_out</item>
    </style>

    <style name="audioPlayerViewStyle">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_centerVertical">true</item>
        <item name="android:layout_marginStart">100dp</item>
        <item name="android:drawablePadding">5dp</item>
        <item name="android:drawableStart">@drawable/ic_audio_icon1</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:paddingStart">7dp</item>
        <item name="android:paddingEnd">7dp</item>
        <item name="android:paddingTop">3dp</item>
        <item name="android:paddingBottom">3dp</item>
        <item name="android:text">00:00</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:textSize">@dimen/sp_16</item>
        <item name="android:visibility">gone</item>
    </style>

    <style name="switchStyle">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_alignParentEnd">true</item>
        <item name="android:layout_centerVertical">true</item>
    </style>

    <!--圆角卡片-->
    <style name="cardViewStyle">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_marginStart">5dp</item>
        <item name="android:layout_marginEnd">5dp</item>
        <item name="cardCornerRadius">5dp</item>
        <item name="cardUseCompatPadding">true</item>
    </style>

    <style name="noStarTagViewStyle">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_centerVertical">true</item>
        <item name="android:textSize">@dimen/sp_16</item>
    </style>

    <style name="roundButtonStyle" parent="QMUI.RoundButton">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:paddingTop">7dp</item>
        <item name="android:paddingBottom">7dp</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:textSize">@dimen/sp_16</item>
        <item name="qmui_backgroundColor">@color/mainThemeColor</item>
        <item name="qmui_radius">5dp</item>
    </style>

    <style name="gridViewStyle">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:scrollbars">none</item>
    </style>

    <!-- Tag Style -->
    <style name="TagStyle">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:paddingStart">@dimen/dp_10</item>
        <item name="android:paddingEnd">@dimen/dp_10</item>
        <item name="android:paddingTop">@dimen/dp_1</item>
        <item name="android:paddingBottom">@dimen/dp_1</item>
        <item name="android:textSize">@dimen/sp_22</item>
        <item name="android:textColor">@color/white</item>
        <item name="fontFamily">sans-serif-black</item>
        <item name="qmui_borderWidth">0dp</item>
        <item name="qmui_radiusTopRight">@dimen/dp_5</item>
        <item name="qmui_radiusBottomRight">@dimen/dp_5</item>
        <item name="qmui_radiusBottomLeft">@dimen/dp_5</item>
    </style>

    <style name="textRadioButtonStyle">
        <item name="android:background">@drawable/selector_text_radio_button</item>
        <item name="android:button">@null</item>
        <item name="android:gravity">center</item>
        <item name="android:paddingStart">@dimen/dp_10</item>
        <item name="android:paddingEnd">@dimen/dp_10</item>
        <item name="android:paddingTop">@dimen/dp_5</item>
        <item name="android:paddingBottom">@dimen/dp_5</item>
        <item name="android:textSize">@dimen/sp_12</item>
        <item name="android:textColor">@color/subTextColor</item>
    </style>
</resources>
